Skip to main content
PATCH
Update Evaluation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

examId
string
required

Body

application/json

Request payload containing a list of entities, including model answers and questions.

entity
string
required

Type of entity (e.g., modelAnswer or question).

Example:

"modelAnswer"

id
string<uuid>
required

Unique identifier for the entity.

Example:

"a17cd91d-55d3-46bb-a544-9f38ab2e027f"

text
string
required

The textual content of the entity.

Example:

"sdsdf"

stepMarking
object[]

List of step-wise marking details (only applicable to modelAnswer entities).

Response

Successful operation response indicating the data was updated successfully.

status
string

Indicates the status of the operation.

Example:

"Success"

message
string

Provides additional details about the operation result.

Example:

"Data updated successfully"